restic backup(1)

NAME

restic-diff - Show differences between two snapshots

SYNOPSIS

restic diff [flags] snapshot-ID snapshot-ID

DESCRIPTION

The "diff" command shows differences from the first to the second snapshot. The first characters in each line display what has happened to a particular file or directory:

    •   + The item was added

    •   - The item was removed

    •   U The metadata (access mode, timestamps, ...) for the item was updated

    •   M The file's content was modified

    •   T The type was changed, e.g. a file was made a symlink

EXIT STATUS

Exit status is 0 if the command was successful, and non-zero if there was any error.

OPTIONS

-h, --help[=false]
    help for diff

--metadata[=false]
    print changes in metadata

OPTIONS INHERITED FROM PARENT COMMANDS

--cacert=[]
    file to load root certificates from (default: use system certificates)

--cache-dir=""
    set the cache directory. (default: use system default cache directory)

--cleanup-cache[=false]
    auto remove old cache directories

--json[=false]
    set output mode to JSON for commands that support it

--key-hint=""
    key ID of key to try decrypting first (default: $RESTIC_KEY_HINT)

--limit-download=0
    limits downloads to a maximum rate in KiB/s. (default: unlimited)

--limit-upload=0
    limits uploads to a maximum rate in KiB/s. (default: unlimited)

--no-cache[=false]
    do not use a local cache

--no-lock[=false]
    do not lock the repository, this allows some operations on read-only repositories

-o, --option=[]
    set extended option (key=value, can be specified multiple times)

--password-command=""
    shell command to obtain the repository password from (default: $RESTIC_PASSWORD_COMMAND)

-p, --password-file=""
    file to read the repository password from (default: $RESTIC_PASSWORD_FILE)

-q, --quiet[=false]
    do not output comprehensive progress report

-r, --repo=""
    repository to backup to or restore from (default: $RESTIC_REPOSITORY)

--repository-file=""
    file to read the repository location from (default: $RESTIC_REPOSITORY_FILE)

--tls-client-cert=""
    path to a file containing PEM encoded TLS client certificate and private key

-v, --verbose[=0]
    be verbose (specify multiple times or a level using --verbose=n, max level/times is 3)

SEE ALSO

restic(1)